import request from '@/utils/request'

// 查询中间号列表
export function listCompanyVoiceMobile(query) {
  return request({
    url: '/company/companyVoiceMobile/list',
    method: 'get',
    params: query
  })
}

// 查询中间号详细
export function getCompanyVoiceMobile(mobileId) {
  return request({
    url: '/company/companyVoiceMobile/' + mobileId,
    method: 'get'
  })
}

// 新增中间号
export function addCompanyVoiceMobile(data) {
  return request({
    url: '/company/companyVoiceMobile',
    method: 'post',
    data: data
  })
}

// 修改中间号
export function updateCompanyVoiceMobile(data) {
  return request({
    url: '/company/companyVoiceMobile',
    method: 'put',
    data: data
  })
}

// 删除中间号
export function delCompanyVoiceMobile(mobileId) {
  return request({
    url: '/company/companyVoiceMobile/' + mobileId,
    method: 'delete'
  })
}

// 导出中间号
export function exportCompanyVoiceMobile(query) {
  return request({
    url: '/company/companyVoiceMobile/export',
    method: 'get',
    params: query
  })
}

// 下载用户导入模板
export function importTemplate() {
  return request({
    url: '/company/companyVoiceMobile/importTemplate',
    method: 'get'
  })
}
